<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/meta');
/**
 * Fonction d'installation, mise a jour de la base
 *
 * @param unknown_type $nom_meta_base_version
 * @param unknown_type $version_cible
 */
function ciwidget_upgrade($nom_meta_base_version,$version_cible){
/*
	if ( (!isset($GLOBALS['meta'][$nom_meta_base_version]) )
			|| (($current_version = $GLOBALS['meta'][$nom_meta_base_version])!=$version_cible)){

		if (version_compare($current_version,'1.0','<')){
			include_spip('base/ciwidget_tables');			
			include_spip('base/create');
			include_spip('base/abstract_sql');
			creer_base();
		}
		
		effacer_meta($nom_meta_base_version);
		ecrire_meta($nom_meta_base_version,$current_version=$version_cible,'non');
				
		spip_log("ciwidget : installation version ".$version_cible);
			
	}
*/
	$maj = array();
	$maj['create'] = array(
		array('maj_tables', array('spip_ciwidget', 'spip_ciwidget_tmp')),
	);

	$maj['2.0.0'] = array(
		array('sql_alter', "TABLE spip_ciwidget CHANGE contenu contenu mediumtext NOT NULL DEFAULT ''"),
		array('sql_alter', "TABLE spip_ciwidget ADD donnees longtext NOT NULL DEFAULT ''"),
		array('maj_tables', array('spip_ciwidget_tmp')),
	);

	$maj['2.5.0'] = array(
		array('sql_alter', "TABLE spip_ciwidget ADD cache longtext NOT NULL DEFAULT ''"),
		array('sql_alter', "TABLE spip_ciwidget_tmp ADD cache longtext NOT NULL DEFAULT ''"),
	);

	include_spip('base/upgrade');
	maj_plugin($nom_meta_base_version, $version_cible, $maj);
}

/**
 * Fonction de desinstallation
 *
 * @param unknown_type $nom_meta_base_version
 */
function ciwidget_vider_tables($nom_meta_base_version) {
			effacer_meta($nom_meta_base_version);
}

?>
