<?php
/**
 * Plugin CIWIDGET 
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;


function ciwidget_css_sitereference(){
    
$return = '/* Widget sitereference */

.ciwidget_sitereference {
    '.ciwidget_ligne_css('sitereference','bloc_background-color').'
    '.ciwidget_ligne_css('sitereference','bloc_border-style').'
    '.ciwidget_ligne_css('sitereference','bloc_border-color').'
    '.ciwidget_ligne_css('sitereference','bloc_border-width').'
    '.ciwidget_ligne_css('sitereference','bloc_padding').'
    '.ciwidget_ligne_css('sitereference','bloc_max-width').'
    
    margin-bottom:1.0rem;
    clear: both;
}
.ciwidget_sitereference:before,
.ciwidget_sitereference:after {
    display: table;
    content: " ";
}
.ciwidget_sitereference:after {
    clear: both;
}

.ciwidget_sitereference__titre,
#contenu .texte .ciwidget_sitereference__titre,
#wysiwyg .ciwidget_sitereference__titre {
    '.ciwidget_ligne_css('sitereference','titre_font-family').'
    '.ciwidget_ligne_css('sitereference','titre_font-size').'
    '.ciwidget_ligne_css('sitereference','titre_font-weight').'
    '.ciwidget_ligne_css('sitereference','titre_margin-bottom').'
    '.ciwidget_ligne_css('sitereference','titre_line-height').'
    '.ciwidget_ligne_css('sitereference','bloc_text-align').'
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
}
.ciwidget_sitereference__titre:after,
#contenu .texte .ciwidget_sitereference__titre:after {
    display: block;
    content: "";
    '.ciwidget_ligne_css('sitereference','separateur_height').'
    '.ciwidget_ligne_css('sitereference','separateur_width').'
    '.ciwidget_ligne_css('sitereference','separateur_background-color').'
    '.ciwidget_ligne_css('sitereference','separateur_margin-top').'
}
.ciwidget_sitereference__descriptif,
#contenu .texte .ciwidget_sitereference__descriptif,
#wysiwyg .ciwidget_sitereference__descriptif {
    '.ciwidget_ligne_css('sitereference','descriptif_font-size').'
    '.ciwidget_ligne_css('sitereference','descriptif_margin-bottom').'
    '.ciwidget_ligne_css('sitereference','descriptif_line-height').'
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
    '.ciwidget_ligne_css('rss','bloc_text-align').'
}
.ciwidget_sitereference__lien,
#contenu .texte .ciwidget_sitereference__lien {
    '.ciwidget_ligne_css('sitereference','lien_text-align').'
}
.ciwidget_sitereference__lien a,
#contenu .texte .ciwidget_sitereference__lien a {
    display: inline-block;
    '.ciwidget_ligne_css('sitereference','lien_padding').'
    '.ciwidget_ligne_css('sitereference','lien_border-style').'
    '.ciwidget_ligne_css('sitereference','lien_border-color').'
    '.ciwidget_ligne_css('sitereference','lien_border-width').'
    '.ciwidget_ligne_css('sitereference','lien_border-radius').'
    '.ciwidget_ligne_css('sitereference','lien_font-size').'
    '.ciwidget_ligne_css('sitereference','lien_font-weight').'
    '.ciwidget_ligne_css('sitereference','lien_background-color').'
    '.ciwidget_ligne_css('sitereference','lien_color').'
    '.ciwidget_ligne_css_couleur_contraste('sitereference','lien_background-color','color','inherit').'
    text-decoration: none;
}
.ciwidget_sitereference__lien a:hover,
.ciwidget_sitereference__lien a:focus,
.ciwidget_sitereference__lien a:active,
#contenu .texte .ciwidget_sitereference__lien a:hover,
#contenu .texte .ciwidget_sitereference__lien a:focus,
#contenu .texte .ciwidget_sitereference__lien a:active {
    background-color: '.ciwidget_valeur_css('sitereference','lien_background-colorhover').';
    '.ciwidget_ligne_css_couleur_contraste('sitereference','lien_background-colorhover','color','inherit').'
}

';
    
    return $return;
}

?>