//----------------------------------------------------
// Plugin CIWIDGET
// Auteur : Christophe IMBERTI
// Licence Creative commons by-nc-sa
// Necessite jQuery
//----------------------------------------------------

jQuery(document).ready(function(){
    if (typeof cicacheselect !== 'function'){ 
        // version texte 
        if (!$('.bouton_version_texte').hasClass('ciclick')){
            $('.version_texte').addClass('ciwidget_hidden');

            $('.bouton_version_texte').addClass('ciclick');

            $('.bouton_version_texte').click(function(e){
                if ($( this ).attr('aria-controls')){
                    var $versiontexte =  $('#' + $( this ).attr('aria-controls'));
                    if ($versiontexte.hasClass('ciwidget_hidden')){
                        $versiontexte.removeClass('ciwidget_hidden');
                        $versiontexte.addClass('actif');
                        $( this ).attr('aria-expanded', 'true');
                        $( this ).attr('aria-pressed', 'true');
                        $( this ).text($( this ).attr('data-show'));
                    } else if ($versiontexte.hasClass('actif')){
                        $versiontexte.removeClass('actif');
                        $versiontexte.addClass('ciwidget_hidden');
                        $( this ).attr('aria-expanded', 'false');
                        $( this ).attr('aria-pressed', 'false');
                        $( this ).text($( this ).attr('data-hide'));
                    }
                }
                e.stopPropagation();
                return false;
            });
        }
    }
});


jQuery(document).ajaxComplete(function( event, xhr, settings ) {
  if ( settings.url.indexOf("/ecrire/") != -1 ) {
    if (typeof cicacheselect !== 'function') {
        // version texte 
        if (!$('.bouton_version_texte').hasClass('ciclick')){
            $('.version_texte').addClass('ciwidget_hidden');

            $('.bouton_version_texte').addClass('ciclick');

            $('.bouton_version_texte').click(function(e){
                if ($( this ).attr('aria-controls')){
                    var $versiontexte =  $('#' + $( this ).attr('aria-controls'));
                    if ($versiontexte.hasClass('ciwidget_hidden')){
                        $versiontexte.removeClass('ciwidget_hidden');
                        $versiontexte.addClass('actif');
                        $( this ).attr('aria-expanded', 'true');
                        $( this ).attr('aria-pressed', 'true');
                        $( this ).text($( this ).attr('data-show'));
                    } else if ($versiontexte.hasClass('actif')){
                        $versiontexte.removeClass('actif');
                        $versiontexte.addClass('ciwidget_hidden');
                        $( this ).attr('aria-expanded', 'false');
                        $( this ).attr('aria-pressed', 'false');
                        $( this ).text($( this ).attr('data-hide'));
                    }
                }
                e.stopPropagation();
                return false;
            });
        }
    }
  }
});

function ciwidget_affiche_version_texte(element){
    if (typeof cicacheselect !== 'function') {
        if (!$( element ).hasClass('ciclick')){
            if ($( element ).attr('aria-controls')){
                var versiontexte =  $('#' + $( element ).attr('aria-controls'));
                if (versiontexte.hasClass('ciwidget_hidden')){
                    versiontexte.removeClass('ciwidget_hidden');
                    versiontexte.addClass('actif');
                    $( element ).attr('aria-expanded', 'true');
                    $( element ).attr('aria-pressed', 'true');
                    $( element ).text($( element ).attr('data-show'));
                } else if (versiontexte.hasClass('actif')){
                    versiontexte.removeClass('actif');
                    versiontexte.addClass('ciwidget_hidden');
                    $( element ).attr('aria-expanded', 'false');
                    $( element ).attr('aria-pressed', 'false');
                    $( element ).text($( element ).attr('data-hide'));
                }
            }
        }
    }
}

function ciwidget_copyToClipboard(str,msg) {
    const el = document.createElement('textarea');
    el.value = str;
    el.setAttribute('readonly', '');
    el.style.position = 'absolute';
    el.style.left = '-9999px';
    document.body.appendChild(el);
    el.select();
    document.execCommand('copy');
    document.body.removeChild(el);
    if(typeof msg !== 'undefined' && msg != null){
        alert(msg);
    }
}

