<?php
/**
 * Plugin CIWIDGET 
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;


function ciwidget_css_rss(){
    
$return = '/* Widget rss */

.ciwidget_rss_forme1 {
    '.ciwidget_ligne_css('rss','bloc_background-color').'
    '.ciwidget_ligne_css('rss','bloc_border-style').'
    '.ciwidget_ligne_css('rss','bloc_border-color').'
    '.ciwidget_ligne_css('rss','bloc_border-width').'
    '.ciwidget_ligne_css('rss','bloc_padding').'
    
    margin-bottom:1.0rem;
    clear: both;
}
.ciwidget_rss_forme1:before,
.ciwidget_rss_forme1:after {
    display: table;
    content: " ";
}
.ciwidget_rss_forme1:after {
    clear: both;
}
.ciwidget_rss_forme1__titre,
#contenu .texte .ciwidget_rss_forme1__titre a,
#wysiwyg .ciwidget_rss_forme1__titre {
    '.ciwidget_ligne_css('rss','titre_font-size').'
    '.ciwidget_ligne_css('rss','titre_font-weight').'
    '.ciwidget_ligne_css('rss','titre_margin-bottom').'
    '.ciwidget_ligne_css('rss','titre_line-height').'
    '.ciwidget_ligne_css('rss','bloc_text-align').'
    '.ciwidget_ligne_css_couleur_contraste('rss','bloc_background-color').'
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
    text-decoration: none;
}
.ciwidget_rss_forme1__titre a:hover,
.ciwidget_rss_forme1__titre a:focus,
.ciwidget_rss_forme1__titre a:active,
#contenu .texte .ciwidget_rss_forme1__titre a:hover,
#contenu .texte .ciwidget_rss_forme1__titre a:focus,
#contenu .texte .ciwidget_rss_forme1__titre a:active {
    text-decoration: underline;
}
.ciwidget_rss_forme1__titre:after,
#contenu .texte .ciwidget_rss_forme1__titre:after {
    display: block;
    content: "";
    '.ciwidget_ligne_css('rss','separateur_height').'
    '.ciwidget_ligne_css('rss','separateur_width').'
    '.ciwidget_ligne_css('rss','separateur_background-color').'
    '.ciwidget_ligne_css('rss','separateur_margin-top').'
}
.ciwidget_rss_forme1__descriptif,
#wysiwyg .ciwidget_rss_forme1__descriptif {
    '.ciwidget_ligne_css('rss','descriptif_font-size').'
    '.ciwidget_ligne_css('rss','descriptif_line-height').'
    '.ciwidget_ligne_css('rss','descriptif_margin-bottom').'
    '.ciwidget_ligne_css_couleur_contraste('rss','bloc_background-color').'
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
    '.ciwidget_ligne_css('rss','bloc_text-align').'
}
.ciwidget_rss_forme1__titreitem,
#wysiwyg .ciwidget_rss_forme1__titreitem {
    '.ciwidget_ligne_css('rss','titreitem_font-size').'
    '.ciwidget_ligne_css('rss','titreitem_font-weight').'
    '.ciwidget_ligne_css('rss','titreitem_line-height').'
    '.ciwidget_ligne_css('rss','titreitem_margin-bottom').'
    '.ciwidget_ligne_css('rss','titreitem_text-align').'
    '.ciwidget_ligne_css_couleur_contraste('rss','bloc_background-color').'
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
}
.ciwidget_rss_forme1__date,
#wysiwyg .ciwidget_rss_forme1__date {
    '.ciwidget_ligne_css('rss','source_font-size').'
    '.ciwidget_ligne_css('rss','source_line-height').'
    '.ciwidget_ligne_css('rss','source_font-weight').'
    '.ciwidget_ligne_css_couleur_contraste('rss','bloc_background-color').'
    margin: 0;
    '.ciwidget_ligne_css('rss','bloc_text-align').'
}
a.ciwidget_rss_forme1__lien,
#contenu .texte a.ciwidget_rss_forme1__lien {
    text-decoration: none;
}
a.ciwidget_rss_forme1__lien:hover,
a.ciwidget_rss_forme1__lien:focus,
a.ciwidget_rss_forme1__lien:active,
#contenu .texte a.ciwidget_rss_forme1__lien:hover,
#contenu .texte a.ciwidget_rss_forme1__lien:focus,
#contenu .texte a.ciwidget_rss_forme1__lien:active {
    text-decoration: underline;
}
li.ciwidget_rss_forme1__li{
    '.ciwidget_ligne_css('rss','descriptif_margin-bottom').'
    list-style:none;
}


.ciwidget_rss_forme2{
    margin-bottom:1.0rem;
    clear: both;
    width:100%;
}
.ciwidget_rss_forme2:before,
.ciwidget_rss_forme2:after {
    display: table;
    content: " ";
}
.ciwidget_rss_forme2:after {
    clear: both;
}
.ciwidget_rss_forme2_ul {
    display: -ms-flexbox; /* pour IE 10*/
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: -0.625rem;
    clear: both;
}
li.ciwidget_rss_forme2__li{
    box-sizing: border-box;
    float: inherit;
    display: -ms-flexbox; /* pour IE 10 et 11 */
    -ms-flex-direction: column; /* pour IE 10 et 11 */
    flex: 0 0 calc(50% - 1.25rem);
    min-width: calc(50% - 1.25rem);
    margin: 0.625rem;
    list-style:none;
    clear: both;
    '.ciwidget_ligne_css('rss','bloc_background-color').'
    '.ciwidget_ligne_css('rss','bloc_border-style').'
    '.ciwidget_ligne_css('rss','bloc_border-color').'
    '.ciwidget_ligne_css('rss','bloc_border-width').'
    '.ciwidget_ligne_css('rss','bloc_padding').'
}
@media (max-width: 767px) {
    .ciwidget_rss_forme2_ul {
        display: block;
    }
    li.ciwidget_rss_forme2__li{
        display: block;
        width: 100%;        
    }
}
.ciwidget_rss_forme2__article{
    position: relative;
}
.ciwidget_rss_forme2__article__contenu a:before {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  content: "";
  z-index: 0;
}
.ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien,
#contenu .texte .ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien {
    '.ciwidget_ligne_css('rss','titre_font-size').'
    '.ciwidget_ligne_css('rss','titre_font-weight').'
    '.ciwidget_ligne_css('rss','titre_line-height').'
    '.ciwidget_ligne_css_couleur_contraste('rss','bloc_background-color').'
    text-decoration: none;
}
.ciwidget_rss_forme2__titre,
#contenu .ciwidget_rss_forme2__titre,
#wysiwyg .ciwidget_rss_forme2__titre {
    '.ciwidget_ligne_css('rss','bloc_text-align').'
    '.ciwidget_ligne_css('rss','titre_margin-bottom').'
    '.ciwidget_ligne_css('rss','titre_line-height').'
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
}
.ciwidget_rss_forme2__titre:after,
#contenu .texte .ciwidget_rss_forme2__titre:after {
    display: block;
    content: "";
    '.ciwidget_ligne_css('rss','separateur_height').'
    '.ciwidget_ligne_css('rss','separateur_width').'
    '.ciwidget_ligne_css('rss','separateur_background-color').'
    '.ciwidget_ligne_css('rss','separateur_margin-top').'
}
.ciwidget_rss_forme2__descriptif,
#contenu .texte .ciwidget_rss_forme2__descriptif,
#wysiwyg .ciwidget_rss_forme2__descriptif {
    '.ciwidget_ligne_css('rss','descriptif_font-size').'
    '.ciwidget_ligne_css('rss','descriptif_line-height').'
    '.ciwidget_ligne_css('rss','descriptif_margin-bottom').'
    '.ciwidget_ligne_css_couleur_contraste('rss','bloc_background-color').'
    margin-top: 0;
    margin-left: 0;
    margin-right: 0;
    '.ciwidget_ligne_css('rss','bloc_text-align').'
}
.ciwidget_rss_forme2__source,
#contenu .texte .ciwidget_rss_forme2__source,
#wysiwyg .ciwidget_rss_forme2__source {
    '.ciwidget_ligne_css('rss','source_font-size').'
    '.ciwidget_ligne_css('rss','source_line-height').'
    '.ciwidget_ligne_css('rss','source_font-weight').'
    '.ciwidget_ligne_css_couleur_contraste('rss','bloc_background-color').'
    margin: 0;
    '.ciwidget_ligne_css('rss','bloc_text-align').'
}
.ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien,
#contenu .texte .ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien {
    text-decoration: none;
}
.ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien:hover,
.ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien:focus,
.ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien:active,
#contenu .texte .ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien:hover,
#contenu .texte .ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien:focus,
#contenu .texte .ciwidget_rss_forme2__titre a.ciwidget_rss_forme2__lien:active {
    text-decoration: underline;
}

';
    
    return $return;
}

?>